Server Requirements

In order to install PHPR, your system should meet the following system requirements:

  • Apache version 2.0 or higher with mod_rewrite module enabled (AllowOverride option should be set to the All value for the installation directory)
  • PHP 5.3 or higher with disabled safe_mode and open_basedir restrictions
  • MySQL version 4.1 or higher. Version 5.x is recommended
  • CURL PHP library
  • GD Graphics PHP library
  • Mcrypt PHP library
  • DOM PHP extension
  • Minimum recommended memory available for PHP: 128 Mb

Does PHPR work on Windows?

Officially PHPR supports only Apache, but there are some people run PHPR with other web servers. In short, Yes, PHPR can operate in a Windows environment, if the system satisfies the system requirements.

Unfortunately PHPR cannot work with IIS and should should consider using XAMPP or WAMP suites to run on Windows.